Package Details: mitmproxy-git 5.0.0.dev.a08c22d-1

Git Clone URL: https://aur.archlinux.org/mitmproxy-git.git (read-only)
Package Base: mitmproxy-git
Description: An interactive TLS-capable intercepting HTTP proxy.
Upstream URL: https://mitmproxy.org/
Licenses: MIT
Conflicts: mitmproxy
Provides: mitmproxy
Submitter: alphazo
Maintainer: navigaid
Last Packager: navigaid
Votes: 21
Popularity: 0.000026
First Submitted: 2011-05-24 17:23
Last Updated: 2019-10-10 11:22

Latest Comments

1 2 3 4 5 Next › Last »

Flat commented on 2019-12-03 01:19

makedepends=('git') needs to be added to the PKGBUILD.

It also appears that the testing workflow has changed upstream.

hooxen commented on 2019-10-15 00:05

This hangs when running test_server.py from check forcing abort via keyboard interrupt. Anyone experience this or know how to bypass? I did not get the error when I installed from source from github using venv

navigaid commented on 2019-10-10 11:25

@plintb they are added, please check it out

plintb commented on 2019-10-09 18:22

The package now additionally requires python-zstandard>=0.11.0 and python-publicsuffix2>=2.20190812.

nomis6432 commented on 2019-09-01 13:55

The package is missing 2 dependencies: python-protobuf>=3.6.0 and python-brotli>=1.0.

Cyber_STX commented on 2019-02-01 07:03

Hi,

Installation fails during testing with a LOTS of errors.

Cheers.

Cyber_STX commented on 2018-07-24 04:09

Hi,

Unfortunately, it still fails, with the exact same error I posted on pastebin. I don't understand why. Using makepkg -cris.

EDIT: I managed to install it by:

  1. Installing python-protobuf
  2. In the PKGBUILD check() function:
  3. replace cd "$srcdir"/$_pkgname by cd "$srcdir"/$_pkgname/test/mitmproxy/addons
  4. replace "python setup.py pytest" by pytest -v

But after this, I got those errors when trying to launch it:

Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 570, in _build_master ws.require(requires) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 888, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 779, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (protobuf 3.5.2 (/usr/lib/python3.6/site-packages), Requirement.parse('protobuf>=3.6.0'), {'mitmproxy'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/mitmproxy", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3095, in <module> @_call_aside File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3079, in _call_aside f(args, *kwargs) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3108, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 572, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 585, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 774, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'protobuf>=3.6.0' distribution was not found and is required by mitmproxy </module></module>

FFY00 commented on 2018-07-18 17:52

Tests should be running fine now.

Cyber_STX commented on 2018-07-18 09:44

I cannot install this package. It fails during the check() with numerous errors.

https://pastebin.com/raw/FcAa5L1D

burningserenity commented on 2018-06-19 14:37

I had to add some more dependencies:

brotlipy
certifi
h2
hyperframe
kaitaistruct
ldap3

I also had to change the python2 dependencies to their python3 versions, and change the version of Python used to install to python3.